"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const nextcloud_node_client_1 = require("nextcloud-node-client");
(async () => {
    const client = new nextcloud_node_client_1.default();
    const folderName = "c:\\Users\\horst\\Company";
    const processFileAfterUpload = async (file) => {
        await file.addTag("Company");
        await file.addComment(`Hello ${file.baseName} your mime type is ${file.mime}`);
        return;
    };
    const getTargetFileNameBeforeUpload = (fileNames) => {
        if (fileNames.sourceFileName.endsWith(".tmp")) {
            return "";
        }
        return `/Company Information${fileNames.targetFileName}`;
    };
    const uc = new nextcloud_node_client_1.UploadFolderCommand(client, { folderName, getTargetFileNameBeforeUpload, processFileAfterUpload });
    uc.execute();
    while (uc.isFinished() !== true) {
        await (async () => { return new Promise(resolve => setTimeout(resolve, 1000)); })();
        console.log(uc.getPercentCompleted() + "%");
    }
    const uploadResult = uc.getResult();
    if (uploadResult.status === nextcloud_node_client_1.CommandStatus.success) {
        console.log(uploadResult.messages);
    }
    else {
        console.log(uploadResult.errors);
    }
})();
//# sourceMappingURL=main.js.map